export type Status = 'unset' | 'loading' | 'ready' | 'error';
type LoadFormat = 'UMD' | 'ES';
export interface LoadServiceOptions {
    /**
     * 是否启用沙箱执行组件
     */
    enableSandbox?: boolean;
    /**
     * 加载组件的格式
     */
    format?: LoadFormat;
    /**
     * 组件名称
     */
    componentName?: string;
    /**
     * 组件版本
     */
    version?: string;
    window?: Window;
    /**
     * 是否支持跨域
     */
    cross: boolean;
}
export declare const COMPONENT_APP_UMD = "MyLib";
export declare const COMPONENT_APP_VERSION_DEFAULT = "1.0.0";
export declare class LoadService {
    url: string;
    options: LoadServiceOptions;
    hostWindow: Window;
    constructor(options: LoadServiceOptions);
    importScript(url: string, props?: Record<any, any>): any;
    importScriptEs(url: string): Promise<any>;
    importScriptUmd(url: string): Promise<any>;
    private importScriptUmdVersion2;
    cssToDom(css: string): HTMLStyleElement;
    /**
     * 动态加载样式文件
     * @param url
     */
    importStyle(url: string): Promise<HTMLStyleElement>;
}
export {};
